import java.util.ArrayList;
/**
 * Write a description of class Picture here.
 * 
 * @Peter Dordal 
 * @28 March 2006
 */
public class Picture
{
    // instance variables - replace the example below with your own
    private ArrayList<MyShape> shapelist;

    /**
     * Constructor for objects of class Picture
     */
    public Picture()
    {
        // initialise instance variables
        shapelist = new ArrayList<MyShape>();
        Rect r;
        r = new Rect(100,100);
        r.changeSize(60,30);
        r.changeColor("blue");
        shapelist.add(r);
        
        // cab
        Square sq;
        sq = new Square(100, 80);
        sq.changeSize(20);
        sq.changeColor("green");
        shapelist.add(sq);
        Triangle t = new Triangle(100,100);
        t.changeSize(20, -20);
        t.changeColor("green");
        shapelist.add(t);
        
        // chimney
        //t = new Triangle(128,145);
        t = new Triangle(145,128);
        t.changeSize(10,-50);
        t.changeColor("blue");
        shapelist.add(t);
        
        // light
        sq = new Square(160, 110);
        sq.changeSize(10);
        sq.changeColor("blue");
        shapelist.add(sq);
        
        // wheels
        Circle c = new Circle(100, 115);
        c.changeSize(30);
        c.changeColor("red");
        shapelist.add(c);
        
        c = new Circle(140, 130);
        c.changeSize(15);
        c.changeColor("red");
        shapelist.add(c);
        
        int i;
        for (MyShape s : shapelist) {
            s.makeVisible();
        }
    }

    /**
     * Draw the shape
     * 
     * @param  y   a sample parameter for a method
     * @return     the sum of x and y 
     */
    public void drawshape()
    {
        int i = 0;
        for (MyShape s : shapelist) {
            s.draw();
        }
    }
    
    public void slowmove(int dist) {
        int i,j;
        for (j=0; j<dist; j++) {
            for (MyShape s : shapelist) {
                s.moveHorizontal(1);
            }
        }
    }
}
